use clap::Parser;
use rox::cli::{Cli, Commands};

fn main() {
    if std::env::var_os("RUST_LOG").is_none() {
        std::env::set_var("RUST_LOG", "info");
    }
    tracing_subscriber::fmt::init();

    let cli = Cli::parse();

    match &cli.command {
        Commands::Compile(compile_config) => {
            rox::compile(&compile_config.source);
        }
        Commands::Repl => {
            rox::repl();
        }
    }
}
